Package org.apache.any23.writer

## Interface DecoratingWriterFactory

- All Superinterfaces:
    `WriterFactory`

      public interface DecoratingWriterFactory

  Base interface used for constructors of decorating `TripleHandler` implementations.
  Author:
    Hans Brende (hansbrende@apache.org)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default String` | `getMimeType()` | Deprecated.
    `default org.eclipse.rdf4j.rio.RDFFormat` | `getRdfFormat()` | Deprecated.
    `default FormatWriter` | `getRdfWriter​(OutputStream os)` | Deprecated.
    `Settings` | `getSupportedSettings()` |
    `TripleHandler` | `getTripleWriter​(TripleHandler delegate, Settings settings)` |

    - ### Methods inherited from interface org.apache.any23.writer.WriterFactory

      `getIdentifier`

- - ### Method Detail

    - #### getSupportedSettings

          Settings getSupportedSettings()

      Returns:
        the settings supported by handlers produced by this factory

    - #### getTripleWriter

          TripleHandler getTripleWriter​(TripleHandler delegate,
                                        Settings settings)

      Parameters:
        `delegate` - the `TripleWriter` to delegate input to
        `settings` - the settings with which to configure the returned handler
      Returns:
        a `TripleHandler` which writes to the specified delegate
      Throws:
        `NullPointerException` - if the delegate or settings is null
        `IllegalArgumentException` - if the settings are not correctly configured

    - #### getRdfWriter

          @Deprecated
          default FormatWriter getRdfWriter​(OutputStream os)

      Deprecated.
      Specified by:
        `getRdfWriter` in interface `WriterFactory`
      Parameters:
        `os` - a `OutputStream` to be written to the FormatWriter handler
      Returns:
        a `FormatWriter` ready to be implemented

    - #### getMimeType

          @Deprecated
          default String getMimeType()

      Deprecated.
      Specified by:
        `getMimeType` in interface `WriterFactory`
      Returns:
        a String representing the Mimetype being handled in this Writer

    - #### getRdfFormat

          @Deprecated
          default org.eclipse.rdf4j.rio.RDFFormat getRdfFormat()

      Deprecated.
      Specified by:
        `getRdfFormat` in interface `WriterFactory`
      Returns:
        the `RDFFormat` being handled